Bug 438463 - running system-config-packages under consolehelper causes an "Unknown error"
running system-config-packages under consolehelper causes an "Unknown error"
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-21 02:25 EDT by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 16:05:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of "Unknown error" (8.46 KB, image/png)
2008-03-21 02:25 EDT, Murray McAllister
no flags Details
output from 'strace /usr/bin/system-config-packages &>' (153.30 KB, text/plain)
2008-03-21 02:27 EDT, Murray McAllister
no flags Details

  None (edit)
Description Murray McAllister 2008-03-21 02:25:56 EDT
Description of problem:

Running "/usr/bin/system-config-packages" causes an "Unknown error" dialog to
open. Works fine when running "/usr/sbin/system-config-packages"

Version-Release number of selected component (if applicable):
* Red Hat Enterprise Linux Client release 5.1 (Tikanga)
* pirut-1.2.10-1.el5.
* kernel-2.6.18-53.1.13.el5

How reproducible:
always

Steps to Reproduce:
1. /usr/bin/system-config-packages

Actual results:

"Unknown error" - see attached screenshot

Steps to Reproduce:
1. /usr/sbin/system-config-packages

Actual results:

Works as expected.

Additional info:

I do not know why I have /usr/bin/system-config-packages, and
/usr/sbin/system-config-packages...maybe that has something to do with the problem.

Both are symbolic links pointing to pirut:

lrwxrwxrwx 1 root root 5 Sep 14  2007 /usr/bin/system-config-packages -> pirut

lrwxrwxrwx 1 root root 5 Sep 14  2007 /usr/sbin/system-config-packages -> pirut
Comment 1 Murray McAllister 2008-03-21 02:25:56 EDT
Created attachment 298771 [details]
screenshot of "Unknown error"
Comment 2 Murray McAllister 2008-03-21 02:27:18 EDT
Created attachment 298772 [details]
output from 'strace /usr/bin/system-config-packages &>'
Comment 3 Murray McAllister 2008-03-21 04:12:15 EDT
Both /usr/bin/pirut and /usr/sbin/pirut work fine; however, the "*Note* Red Hat
Network repositories are not listed below. You must run this command as root to
access RHN repositories. RHN support will be disabled." message is only
displayed when running /usr/sbin/pirut.

Thanks,

Murray.

Note You need to log in before you can comment on or make changes to this bug.